rte_bbdev_queue_conf(3)

NAME
rte_bbdev_queue_conf

SYNOPSIS

#include <rte_bbdev.h>

  Data Fields

int socket
uint32_t queue_size
uint8_t priority
bool deferred_start
enum rte_bbdev_op_type op_type

Detailed Description

Device queue configuration structure

Definition at line 135 of file rte_bbdev.h.

Field Documentation

  int socket
NUMA socket used for memory allocation

Definition at line 136 of file rte_bbdev.h.

  uint32_t queue_size
Size of queue

Definition at line 137 of file rte_bbdev.h.

  uint8_t priority
Queue priority

Definition at line 138 of file rte_bbdev.h.

  bool deferred_start
Do not start queue when device is started.

Definition at line 139 of file rte_bbdev.h.

  enum rte_bbdev_op_type op_type
Operation type

Definition at line 140 of file rte_bbdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.